caferimo-sizes-post-one

Source

  • Repository: jef-systems/jef-caferimo-backend

  • Source Run ID: 24962842310

  • Source SHA: c73d8c4fa33c496a8e9d39267e4868ddfa8978a5

  • Module: caferimo

  • Documentation Scope: async

  • Lambda: jef-caferimo-post-8

Endpoint

  • API Name: jef-caferimo

  • Action Name: post

  • Method: POST

  • Scope Label: Async

  • Resource Path: /caferimo-sizes-post-one

  • Complete Endpoint: https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-sizes-post-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-post-8

  • curl payload mode: json_body

API Gateway Description

Function: jef-caferimo-post-8
Module: jef-caferimo
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /caferimo-sizes-post-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-caferimo-sizes

Payload Example:
- size_number: 0001
- size_key: medium
- size_label: Medium
- size_mode: drink
- upcharge: 0
- sort_order: 1
- is_default: True
- is_active: True
- is_deleted: False
- created_at: 2026-04-26T12:00:00Z
- updated_at: 2026-04-26T12:00:00Z
- version: 1

Payload Schema:
- size_number: string
- size_key: string
- size_label: string
- size_mode: string
- upcharge: number
- sort_order: number
- is_default: boolean
- is_active: boolean
- is_deleted: boolean
- created_at: string
- updated_at: string
- version: number

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "size_number": "0001",
  "size_key": "medium",
  "size_label": "Medium",
  "size_mode": "drink",
  "upcharge": "0",
  "sort_order": "1",
  "is_default": "True",
  "is_active": "True",
  "is_deleted": "False",
  "created_at": "2026-04-26T12:00:00Z",
  "updated_at": "2026-04-26T12:00:00Z",
  "version": "1"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-sizes-post-one" -H "Content-Type: application/json" --data-raw "{\"size_number\": \"0001\", \"size_key\": \"medium\", \"size_label\": \"Medium\", \"size_mode\": \"drink\", \"upcharge\": 0, \"sort_order\": 1, \"is_default\": true, \"is_active\": true, \"is_deleted\": false, \"created_at\": \"2026-04-26T12:00:00Z\", \"updated_at\": \"2026-04-26T12:00:00Z\", \"version\": 1}"

PowerShell curl

curl.exe -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-sizes-post-one" -H "Content-Type: application/json" --data-raw '{"size_number": "0001", "size_key": "medium", "size_label": "Medium", "size_mode": "drink", "upcharge": 0, "sort_order": 1, "is_default": true, "is_active": true, "is_deleted": false, "created_at": "2026-04-26T12:00:00Z", "updated_at": "2026-04-26T12:00:00Z", "version": 1}'